WEBXREF(1)

NAME
webxref - Output references to ids and classes in an Ajax Web application

SYNOPSIS
webxref [-huxcCiIv] files..

DESCRIPTION
The Ada Web Server is a library that allows you to embed a web server into your Ada application. It provides not only HTTP but also SOAP, WSDL and several other facilities. Thus you can write full-fledged web applications. WSDL (Web Service Definition Language) is a language based on XML. WSDL documents describe, in a formal way, the interface to Web Services. This description consists of the end-point (URL to the server offering the service), the SOAPAction (needed to call the remote procedure), the procedure names and a description of the input and output parameters. Using webxref, you can track down unused or undefined entities in Ajax Web development, as it is very difficult to ensure that a referenced Id does actually exist in Web pages for example. Please see the AWS User's guide for more details on how webxref works, and how you can use it to develop web services.

OPTIONS

-h  display help

-x  output all cross-references (default)

-u  output unused entities only

-d  output referenced but undefined entities only

-i  handle id elements

-I  do not handle id elements

-pi prefix
    id must have the given prefix ('file_based' to use filename based prefix)

-pc prefix
    class must have the given prefix

-ki name
    kill id, do not handle this specific id

SEE ALSO
ada2wsdl(1), aws_password(1), awsres(1), wsdl2aws(1) The Ada Web Server User's Guide in package libaws-doc.

AUTHOR
webxref was written by AdaCore as part of the Ada Web Server. This manual page was written by Nicolas Boulenguez <nicolas@debian.org> for Debian GNU/Linux.